#ifndef FRAME_CPP_INTERFACE__FrAdcData_HH
#define FRAME_CPP_INTERFACE__FrAdcData_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/adcdata.hh"			// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef AdcData FrAdcData;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrAdcData.hh"	// Version 6
#else
#error Unsupported Frame specification
#endif

namespace FrameCPP
{
  typedef Version::FrAdcData FrAdcData;
}

#endif /* FRAME_CPP_INTERFACE__FrAdcData_HH */
