#ifndef FRAME_CPP_INTERFACE__Time_HH
#define FRAME_CPP_INTERFACE__Time_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/time.hh"
#elif FRAME_SPEC_CURRENT > 5
#include "general/gpstime.hh"
#else
#error Unsupported Frame specification
#endif /* FRAME_SPEC_CURRENT */

namespace FrameCPP
{
#if FRAME_SPEC_CURRENT == 5
  typedef Version::Time Time;
#elif FRAME_SPEC_CURRENT > 5
  typedef General::GPSTime Time;
#endif
}

#endif /* FRAME_CPP_INTERFACE__FrameH_HH */
